# config/packages/sonata_user.yaml

sonata_user:  
    
    class:
        user: App\Entity\SonataUserUser
#        group: App\Entity\SonataUserGroup
#    resetting:
#        email:
#            address: sonata@localhost
#            sender_name: Sonata Admin
            
    security_acl: false
    manager_type: orm # can be orm or mongodbSonataUserBundle

    impersonating:
        route: sonata_admin_dashboard
        parameters: { path: / }


    admin: # Admin Classes
        user:
#            class: Sonata\UserBundle\Admin\Entity\UserAdmin
            class: App\Admin\UserAdmin
#            controller: '%sonata.admin.configuration.default_controller%'
#            translation: SonataUserBundle
            controller: App\Controller\Admin\UserAdminController
            translation: SonataUserBundle
            
            
#        group:
#            class: Sonata\UserBundle\Admin\Entity\GroupAdmin
#            controller: '%sonata.admin.configuration.default_controller%'
#            translation: SonataUserBundle

    profile:
        default_avatar: bundles/sonatauser/default_avatar.png # Default avatar displayed if the user doesn't have one

    mailer: sonata.user.mailer.default # Service used to send emails

    resetting: # Reset password configuration (must be configured)
        email:
            template: '@SonataUser/Admin/Security/Resetting/email.html.twig'
            address: sonata@localhost
            sender_name: Sonata Admin

            
